import { StyleSheet } from 'fela-tools'
import { SPACING } from '../../core/constants'
import edges from '../../rules/edges/edges'

const extendEdges = (props, value) => edges({
  prefix: props.property,
  edges: props.edges,
  value
})

export default StyleSheet.create({
  space: (props) => ({
    belowMobile: {
      extend: extendEdges(props, SPACING.MOBILE)
    },
    extend: [
      extendEdges(props, SPACING.TABLET),
      {
        condition: props.desktop,
        style: {
          aboveDesktop: {
            extend: extendEdges(props, SPACING.DESKTOP)
          }
        }
      }
    ]
  })
})
