import anime from 'animejs'
import { isDefined } from './utils'

export default (targets, transition, options) => {
  const settings = { targets }
  const { animate = true } = options
  const { duration, delay, easing } = transition

  if (isDefined(duration)) settings.duration = animate ? duration : 0
  if (isDefined(delay)) settings.delay = animate ? delay : 0
  if (isDefined(easing)) settings.easing = easing

  anime.remove(targets)

  anime(Object.assign(settings, options))
}
