import isArray from 'isarray'
import isObject from 'isobject'
import { arrayReduce, objectReduce } from 'fast-loops'
import { isNull, parseEdges, wrapKey } from '../../core/utils'

export default ({
  value,
  edges,
  prefix,
  postfix
} = {}) => {
  const keys = parseEdges(edges)
  if (isNull(value)) {
    return {}
  } else if (isArray(keys)) {
    return arrayReduce(keys, (style, key) => {
      style[wrapKey(key, prefix, postfix)] = value
      return style
    }, {})
  } else if (isObject(keys)) {
    return objectReduce(keys, (style, keyValue, key) => {
      style[wrapKey(key, prefix, postfix)] = keyValue
      return style
    }, {})
  } else {
    throw new Error('invalid edges value')
  }
}
